> For the complete documentation index, see [llms.txt](https://docs.kibotu.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kibotu.ai/unity-sdk/reporting-events.md).

# Reporting events

#### Notes:

1. Ensure that you invoke the .Init() and .Identify() methods in each session before tracking any events.
2. You might find it helpful to use Logs Live Tail in the [admin console](/documentation/backoffice-admin-console.md) to see the data coming in from your integration.

## Events to track

You might integrate the Kibotu.Track() method at the same level as your analytics reports, allowing you to report all user interactions to Kibotu.

Alternatively, you can choose to track only key events. A minimal integration would require just a few events. Please reach your account manager to establish a list of essential events. This would depend on how the potential segmentation of your players.

## Example events

The table below is an example of events reported by some of our customers.

Actually it reports only resuming the app and interacting with special offers.

<table data-full-width="false"><thead><tr><th width="292.3333333333333">EventName</th><th>Description</th><th>Required Properties</th></tr></thead><tbody><tr><td>AppStart</td><td>Application launched</td><td></td></tr><tr><td>AppRestore</td><td>Application focus resumed </td><td></td></tr><tr><td>SpecialOfferPopupOpened</td><td>Watched Special Offer</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferPopupDismissed</td><td>Dismissed Special Offer</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferPopupCtaClicked</td><td>Clicked Special Offer</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferPopupPurchased</td><td>Purchased Special Offer</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferInStoreViewed</td><td>In-app store - Watched item</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferInStoreCtaClicked</td><td>In-app store - Clicked item</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferInStorePurchased</td><td>In-app store - Purchased item</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferAdStarted</td><td>Ad Started</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferAdEnded</td><td>Ad Ended</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferAdClicked</td><td>Ad Clicked</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferAdSkipped</td><td>Ad Skipped</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>SpecialOfferAdRewarded</td><td>Ad Rewarded</td><td>Attach Kibotu-Reference Properties * </td></tr><tr><td>* (event name as a string)</td><td>Any other monetization event<br>i.e. CoinsGained, CoinsSpent, GemsSpent</td><td></td></tr><tr><td>* (event name as a string)</td><td>Any other user-engagement event<br>i.e. MatchStarted, MatchFinished, LevelUp</td><td></td></tr></tbody></table>

## Kibotu-Reference Properties

For each special offer, when receiving an Asset from [getPersonalizationBanner](/unity-sdk/fetching-personal-offer.md) you need to store it with the special offer instance and provide it with the events of interaction with the special offer.

The actual reference fields are: `imageFullUrl` and `kibotuMetadata`.

This is a key property, as it enables Kibotu to "close the loop" by suggesting an offer to a player and receiving the interaction as performance feedback.

## Code example

Tracking an event without additional properties:

```
Kibotu.Track("AppStart");
```

Tracking an event with additional properties:

```
var context = new kibotu.Value();
context["prizeKey"] = "GoldPack8";
context["offerId"] = "3622d2-c8c8-4c52-851c-d71af05";
Kibotu.Track("SpecialOfferPopupDismissed", context);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kibotu.ai/unity-sdk/reporting-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
